> For the complete documentation index, see [llms.txt](https://docs.drops.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.drops.co/tokens/esdop/esdop-vesting-duration.md).

# esDOP vesting duration

The length of the esDOP vesting period is determined by the ratio of veDOP to esDOP in a user’s wallet, at the time of vesting. Once established, esDOP will be distributed as DOP linearly over the allocated time frame.

The minimum eligible esDOP/veDOP ratio of 1 will yield a vesting period of 180 days, while the maximum eligible esDOP/veDOP ratio of 10 or higher will yield a vesting period of 30 days.

The vesting period for a ratio between 1 and 10 will be calculated according to the following formula:

`minDuration + (maxDuration - minDuration) / (maxRatio - userRatio) * (maxRatio - minRatio)`

* When vested DOP claimed from the vesting
* Locking more or claiming veDOP

### esDOP vesting period recalculations

In some cases, the esDOP vesting period will be subject to a recalculation. This includes cases where:

* 0 esDOP tokens added to vest
* Additional esDOP is added to the vest, while there’s esDOP already vesting.

The esDOP vesting period will not be recalculated when:

* When vested DOP claimed from the vesting
* Locking more or claiming veDOP


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.drops.co/tokens/esdop/esdop-vesting-duration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
